summaryrefslogtreecommitdiffstats
path: root/multimedia/MediathekView/MediathekView.SlackBuild
diff options
context:
space:
mode:
author Heiko Rosemann <heiko.rosemann@web.de>2020-11-21 00:15:32 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2020-11-22 01:14:24 +0700
commit4497d306da26847472900039b9f3abb534bd4981 (patch)
tree84b0551514c12956327528bd630bf1248f1ad3a3 /multimedia/MediathekView/MediathekView.SlackBuild
parentc91745f58bb9a34d6ee9ad71448c79a801363190 (diff)
downloadslackbuilds-4497d306da26847472900039b9f3abb534bd4981.tar.gz
slackbuilds-4497d306da26847472900039b9f3abb534bd4981.tar.xz
multimedia/MediathekView: Updated for version 13.6.0.
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'multimedia/MediathekView/MediathekView.SlackBuild')
-rw-r--r--multimedia/MediathekView/MediathekView.SlackBuild33
1 files changed, 20 insertions, 13 deletions
diff --git a/multimedia/MediathekView/MediathekView.SlackBuild b/multimedia/MediathekView/MediathekView.SlackBuild
index 2eea232951..b349f89a3f 100644
--- a/multimedia/MediathekView/MediathekView.SlackBuild
+++ b/multimedia/MediathekView/MediathekView.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for MediathekView
-# Copyright 2013-2015 Heiko Rosemann, Germany
+# Copyright 2013-2020 Heiko Rosemann, Germany
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,26 +23,33 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=MediathekView
-VERSION=${VERSION:-13.2.1}
+VERSION=${VERSION:-13.6.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-ARCH=noarch
+ARCH=${ARCH:-$(uname -m)}
+
+SRCNAM=${PRGNAM}-${VERSION}-linux
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+if [ ! "${ARCH}" = "x86_64" ] ; then
+ echo "Architecture ${ARCH} is not supported."
+ exit 1
+fi
+
set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-rm -rf $PRGNAM-$VERSION
-mkdir -p $PRGNAM-$VERSION
-tar xvzf $CWD/${PRGNAM}-$VERSION.tar.gz
-cd $PRGNAM-$VERSION
+rm -rf $PRGNAM
+mkdir -p $PRGNAM
+tar xvzf $CWD/${SRCNAM}.tar.gz
+cd $PRGNAM
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
@@ -50,16 +57,16 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-mkdir -p $PKG/usr/share/$PRGNAM/bin
-cp -a bin/flv-linux.sh $PKG/usr/share/$PRGNAM/bin/flv.sh
-cp -a lib/ $PKG/usr/share/$PRGNAM
-cp -a MediathekView.jar $PKG/usr/share/$PRGNAM
+mkdir -p $PKG/usr/share/$PRGNAM
+cp -a MediathekView MediathekView.ico MediathekView.jar MediathekView.svg \
+ MediathekView.vmoptions .install4j/ bin/ jre/ \
+ $PKG/usr/share/$PRGNAM
mkdir -p $PKG/usr/bin
-cat $CWD/$PRGNAM.wrapper > $PKG/usr/bin/$PRGNAM
-chmod 0755 $PKG/usr/bin/$PRGNAM
+ln -s /usr/share/$PRGNAM/MediathekView $PKG/usr/bin/MediathekView
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp README.txt $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install